Network.Wai.Handler.Warp.Internal

# Settings

data Settings

data ProxyProtocol

# Low level run functions

runSettingsConnection

runSettingsConnectionMaker

runSettingsConnectionMakerSecure

data Transport

# Connection

data Connection

socketConnection

## Receive

type Recv

type RecvBuf

makePlainReceiveN

## Buffer

type Buffer

type BufSize

bufferSize

allocateBuffer

freeBuffer

copy

## Sendfile

data FileId

type SendFile

sendFile

readSendFile

# Version

warpVersion

# Data types

data InternalInfo

type HeaderValue

type IndexedHeader

requestMaxIndex

# Time out manager

## Types

type Manager

type TimeoutAction

data Handle

## Manager

initialize

stopManager

killManager

withManager

## Registration

register

registerKillThread

## Control

tickle

cancel

pause

resume

## Exceptions

data TimeoutThread

# File descriptor cache

withFdCache

data Fd

type Refresh

openFile

closeFile

setFileCloseOnExec

# File information cache

data FileInfo

type Hash

withFileInfoCache

getInfo

# Date

withDateCache

type GMTDate

# Request and response

data Source

recvRequest

sendResponse